NVDEFINESPACE(1)

NAME
nvdefinespace - Runs TPM2_NV_DefineSpace

DESCRIPTION
--version-string=v1045 is not a valid option

nvdefinespace

Runs TPM2_NV_DefineSpace

-ha NV index handle

    01xxxxxx

-hi authorizing hierarchy (o, p)

    o owner, p platform p sets PLATFORMCREATE

    [-pwdp password for hierarchy (default empty)] [-hia hierarchy authorization (o, p)(default index authorization)]

    default AUTHWRITE, AUTHREAD o sets OWNERWRITE, OWNERREAD p sets PPWRITE, PPREAD (platform)

    [-pwdn password for NV index (default empty)]

    ssts AUTHWRITE (if not PIN index), AUTHREAD

    [-nalg name algorithm (sha1, sha256, sha384) (default sha256)] [-sz data size (default 0)]

    Ignored for other than ordinary index

    [-ty index type (o, c, b, e, p, f) (default ordinary)]

    ordinary, counter, bits, extend, pin pass, pin fail

    [-pol policy file (default empty)]

    sets POLICYWRITE, POLICYREAD

    [+at attributes to add (may be specified more than once)]

ppw (PPWRITE) ppr (PPREAD)

ow  (OWNERWRITE) or (OWNERREAD)

aw  (AUTHWRITE) ar (AUTHREAD)

wd  (WRITEDEFINE) gl (GLOBALLOCK)

rst (READ_STCLEAR) wst (WRITE_STCLEAR)

wa  (WRITEALL) ody (ORDERLY)

pold (POLICY_DELETE)
    stc (CLEAR_STCLEAR)

    [-at attributes to delete (may be specified more than once)]

ppw (PPWRITE) ppr (PPREAD)

ow  (OWNERWRITE) or (OWNERREAD)

aw  (AUTHWRITE) ar (AUTHREAD)

pw  (POLICYWRITE) pr (POLICYREAD)

da  (NO_DA) (default set)

-se[0-2] session handle / attributes (default PWAP)

    01 continue

--version is not a valid option

nvdefinespace

Runs TPM2_NV_DefineSpace

-ha NV index handle

    01xxxxxx

-hi authorizing hierarchy (o, p)

    o owner, p platform p sets PLATFORMCREATE

    [-pwdp password for hierarchy (default empty)] [-hia hierarchy authorization (o, p)(default index authorization)]

    default AUTHWRITE, AUTHREAD o sets OWNERWRITE, OWNERREAD p sets PPWRITE, PPREAD (platform)

    [-pwdn password for NV index (default empty)]

    ssts AUTHWRITE (if not PIN index), AUTHREAD

    [-nalg name algorithm (sha1, sha256, sha384) (default sha256)] [-sz data size (default 0)]

    Ignored for other than ordinary index

    [-ty index type (o, c, b, e, p, f) (default ordinary)]

    ordinary, counter, bits, extend, pin pass, pin fail

    [-pol policy file (default empty)]

    sets POLICYWRITE, POLICYREAD

    [+at attributes to add (may be specified more than once)]

ppw (PPWRITE) ppr (PPREAD)

ow  (OWNERWRITE) or (OWNERREAD)

aw  (AUTHWRITE) ar (AUTHREAD)

wd  (WRITEDEFINE) gl (GLOBALLOCK)

rst (READ_STCLEAR) wst (WRITE_STCLEAR)

wa  (WRITEALL) ody (ORDERLY)

pold (POLICY_DELETE)
    stc (CLEAR_STCLEAR)

    [-at attributes to delete (may be specified more than once)]

ppw (PPWRITE) ppr (PPREAD)

ow  (OWNERWRITE) or (OWNERREAD)

aw  (AUTHWRITE) ar (AUTHREAD)

pw  (POLICYWRITE) pr (POLICYREAD)

da  (NO_DA) (default set)

-se[0-2] session handle / attributes (default PWAP)

    01 continue

SEE ALSO
The full documentation for nvdefinespace is maintained as a Texinfo manual. If the info and nvdefinespace programs are properly installed at your site, the command

    info nvdefinespace

should give you access to the complete manual.